## Apache Zeta Components Manual :: Docs For Class ezcMailOffsetOutOfRangeException

### Mail::ezcMailOffsetOutOfRangeException

### Class ezcMailOffsetOutOfRangeException

The ezcMailOffsetOutOfRangeException is thrown when request is made to fetch messages with the offset outside of the existing message range.

Source for this file: /Mail/src/exceptions/offset_out_of_range.php

    Exception
       |
       --ezcBaseException
          |
          --ezcMailException
             |
             --ezcMailOffsetOutOfRangeException

Version: | //autogen//

### Inherited Member Variables

From ezcBaseException
public | `ezcBaseException::$originalMessage`
From Exception (Internal Class)
protected | `$code`
protected | `$file`
protected | `$line`
protected | `$message`
private | `$previous`
private | `$string`
private | `$trace`

### Method Summary

public ezcMailOffsetOutOfRangeException | `__construct( $offset , $count )` Constructs an ezcMailOffsetOutOfRangeException

### Inherited Methods

From ezcMailException
public ezcMailException | `ezcMailException::__construct()` Constructs a new ezcMailException with error message $message.
From ezcBaseException
public ezcBaseException | `ezcBaseException::__construct()` Constructs a new ezcBaseException with $message
From Exception (Internal Class)
public Exception | `constructor __construct ( [$message = ], [$code = ], [$previous = ] )`
public void | `getCode ( )`
public void | `getFile ( )`
public void | `getLine ( )`
public void | `getMessage ( )`
public void | `getPrevious ( )`
public void | `getTrace ( )`
public void | `getTraceAsString ( )`
public void | `__clone ( )`
public void | `__toString ( )`

### Methods

#### __construct

ezcMailOffsetOutOfRangeException __construct( mixed $offset , mixed $count )

Constructs an ezcMailOffsetOutOfRangeException

##### Parameters:

Name | Type | Description
--- | --- | ---
`$offset` | mixed |
`$count` | mixed |

##### Redefinition of:

Method | Description
--- | ---
`ezcMailException::__construct()` | Constructs a new ezcMailException with error message $message.

Documentation generated by phpDocumentor 1.4.3